package Network.Algorithm.FlowAugmentingDecreasingPathsAlgorithm;

import Network.Algorithm.*;
import Network.Representation.*;

public class FlowAugmentingDecreasingPathsAlgNodeInfo implements NodeAlgInfo {
    
    /**
     * Flow augmenting dual for the node that has this algorithm information
     */
    public double flowAugmentingDual;
    
    /**
     * The node that succeeds the node that has this algorithm information on the flow augmenting path.
     */
    public Node flowAugmentingPathSuccessorNode;
    
    /**
     * The arc that links the node that has this algorithm information to its <code>flowAugmentingPathSuccessorNode</code>.
     */
    public Arc flowAugmentingPathSuccessorArc;
    
    /**
     * LIST from Powell's algorithm.
     */
    public Node flowAugmentingPathList;
    
    /**
     * Flow decreasing dual for the node that has this algorithm information.
     */
    public double flowDecreasingDual;
    
    /**
     * The node that succeeds the node that has this algorithm information on the flow decreasing path.
     */
    public Node flowDecreasingPathSuccessorNode;
    
    /**
     * The arc that links the node that has this algorithm information to its <code>flowDecreasingPathSuccessorNode</code>.
     */
    public Arc flowDecreasingPathSuccessorArc;
    
    /**
     * LIST from Powell's algorithm.
     */
    public Node flowDecreasingPathList;
    
    /** 
     * Returns the string representation of this object which is the value of flow augmenting dual and
     * flow decreasing dual seperated by spaces.
     */
    public String toString() {
        return Double.toString(flowAugmentingDual)+" "+Double.toString(flowDecreasingDual);
    }
    
}

