package Network;

import Network.Representation.*;
import Network.Algorithm.*;
import Network.Algorithm.SimplexAlgorithm.*;
import Network.Algorithm.FlowAugmentingDecreasingPathsAlgorithm.*;

public class MainRun
{    
     
     public static void main ( String[] args )
     {
          NetworkImplementation network = new NetworkImplementation();
          ArcImplementation arc = new ArcImplementation( 0 , 0 );
          NodeImplementation node1 = new NodeImplementation(0);
          NodeImplementation node2 = new NodeImplementation(0);
          network.addNode( node2 );
          network.addNode( node1 );
          SimplexAlgorithm simplex = new SimplexAlgorithm();
          simplex.setTargetNetwork( network );
          for ( int i = 0 ; i <= 20 ; i ++ )
          {
               FlowAugmentingDecreasingPathsAlgorithm flowAD = new FlowAugmentingDecreasingPathsAlgorithm();
               flowAD.setTargetNetwork( network );
          }
          
          ArcFactory arcFactory = new ArcFactory(100 , 100 ) ;
          network.addArc( arc, node1, node2 );
          //network.removeNode( node1 , null, arcFactory );
          //System.out.println( AlgorithmImplementation.arcInfoFactory.flow.size );
          //network.addNode( node1 );
          //network.addArc( arcFactory.makeArc( 2 ,3 ) , node1 , node2 );
          
          network.removeArc( arc , arcFactory );
          //System.out.println( AlgorithmImplementation.arcInfoFactory.flow.size );
          network.addArc( arcFactory.makeArc( 2, 3 ), node1, node2 );
          
          
          
          //System.out.println( AlgorithmImplementation.arcInfoFactory.flow.size );
     }
}
        