package Network.Representation;


public final class NodeListFactory {

    private NodeListStack stack;
    
    
    public NodeListFactory(int capacity_, int capacityIncrement_)
    {
        stack = new NodeListStack(capacity_, capacityIncrement_);
    }


    public final NodeList make(Node elem_, NodeList next_, NodeList prev_)
    {
        NodeList nodeList = stack.pop();
        if (nodeList != null) {
            nodeList.initialize(elem_, next_, prev_);
            return (nodeList);
        }
        else
            return (new NodeList(elem_, next_, prev_));
    }
    
    public final NodeList make(Node elem_)
    {
        NodeList nodeList = stack.pop();
        if (nodeList != null) {
            nodeList.initialize(elem_);
            return (nodeList);
        }
        else
            return (new NodeList(elem_));
    }

    public final void unmake(NodeList nodeList)
    {
        stack.push(nodeList);
    }

}
